const APP_DISPLAY_NAME = "CuteMenus";
const APP_NAME = "cutemenus";
const APP_AUTHOR = "cute.mozdev.org";
const APP_PACKAGE = "/" + APP_AUTHOR + "/" + APP_PACKAGE;
const APP_VERSION = "0.2";

const APP_JAR_FILE = "cutemenus.jar";
const APP_CONTENT_FOLDER = "/";

const APP_SUCCESS_MESSAGE = "You need to restart your browser before the extension will work.";

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef;
var contenttype;
var localetype;
var skintype;

if(confirm("Press OK to install to the current profile directory.\n\n" +  "Press Cancel to install to the global Firebird directory.")) {
	chromef = getFolder("Profile", "chrome");
	contenttype = CONTENT | PROFILE_CHROME;
} else {
	chromef = getFolder("Chrome");
	contenttype = CONTENT | DELAYED_CHROME;
}

var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);

if (err >= SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(contenttype, jar, APP_CONTENT_FOLDER);
	err = performInstall();
	if (err >= SUCCESS) {
		alert("The " + APP_DISPLAY_NAME + " " + APP_VERSION + " extension has been succesfully installed.\n"
			+APP_SUCCESS_MESSAGE);
	} else {
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else {
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to phoenix/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}